# Scotty translation

This package provides the translation files for [Scotty](https://sr.ht/~phw/scotty/).


## Contribute

You can help translate this project into your language with [Weblate](https://translate.uploadedlobster.com/projects/scotty/). If there are missing or wrong translations in your language you can directly improve the translations there.

If your language is not yet available on Weblate please request the language to be added. Use the mailing list [~phw/musicbrainz@lists.sr.ht](https://lists.sr.ht/~phw/musicbrainz) or [Start new translation](https://translate.uploadedlobster.com/new-lang/scotty/app/) in Weblate to do so.

It is also possible to directly edit the `messages.gotext.json` file located in the `locales/[language-code]` directories. If you do so please send the modified file or a git patch to the mailing list. *Please do not use the `out.gotext.json` files.*


## Maintenance

After strings have been added or modified in the code or after changes have been made to the `messages.gotext.json` files the new strings need to be extracted and changed translations need to be merged.

This requires the gotext tool to be installed:

    go install golang.org/x/text/cmd/gotext@latest

The following command will extract all strings and merge the translations:

    go generate ./internal/translations/translations.go


## License

All Scotty user interface strings and their translations included in this package are published under the conditions of [CC0 1.0 Universal (CC0 1.0)](https://creativecommons.org/publicdomain/zero/1.0/).
